#include <iostream>

using namespace std;

int main()
{
    int n, l, x, m;
    bool p = false;
    cin >> n >> l;
    for(int i = 0; i < n; i++){
        cin >> x;
        if(!p && x <= l){
            m = i;
            p = true;
        }
    }
    if(!p)
        cout << -1;
    if(p)
        cout << m;

    return 0;
}